## xcsoar-6.8.8.tar.xz

=== Makefile ===
#
# This is the XCSoar build script.  To compile XCSoar, you must
# specify the target platform, e.g. for Pocket PC 2003, type:
#
#   make TARGET=PPC2003
#
# The following parameters may be specified on the "make" command
# line:
#
#   TARGET      The name of the target platform.  See the TARGETS variable
#               in build/targets.mk for a list of valid target platforms.
#
#   HEADLESS    If set to "y", no UI is available.
#
#   VFB         "y" means software rendering to non-interactive virtual
#               frame buffer
#
#   USE_FB      "y" means software rendering to /dev/fb0
#
#   ENABLE_SDL  If set to "y", the UI is drawn with libSDL.
#
#   OPENGL      "y" means render with OpenGL.
#
#   GLES        "y" means render with OpenGL/ES.
#
#   GREYSCALE   "y" means render 8-bit greyscale internally
#
#   DITHER      "y" means dither to 1-bit black&white
#
#   EYE_CANDY   "n" disables eye candy rendering.
#
#   ICF         "y" enables Identical Code Folding (gold --icf=all)
#
#   DEBUG       If set to "y", the debugging version of XCSoar is built
#               (default is "y")
#
#   WERROR      Make all compiler warnings fatal (default is $DEBUG)
#
#   V           Verbosity; 1 is the default, and prints terse information.
#               0 means quiet, and 2 prints the full compiler commands.
#
#   FIXED       "y" means use fixed point math (for FPU-less platforms)
#
#   LTO         "y" enables gcc's link-time optimization flag (experimental,
#               requires gcc 4.5)
#
#   CLANG       "y" to use clang instead of gcc
#
#   ANALYZER    "y" to support the clang analyzer
#
#   LLVM        "y" to compile LLVM bitcode with clang
#
#   WGS84       "y" to use WGS84 instead of FAI sphere for distance calculations.
#               This is enabled by default.
#
#   LIBCXX      "y" to compile with libc++, or the absolute path of the
#               libc++ svn/git working directory.
#
#   IWYU        "y" to run "include-what-you-use" on all sources
#

.DEFAULT_GOAL := all

topdir = .

-include $(topdir)/build/local-config.mk

include $(topdir)/build/make.mk
include $(topdir)/build/bool.mk
include $(topdir)/build/string.mk
include $(topdir)/build/dirs.mk
include $(topdir)/build/verbose.mk
include $(topdir)/build/util.mk
include $(topdir)/build/detect.mk
include $(topdir)/build/targets.mk
include $(topdir)/build/thirdparty.mk
include $(topdir)/build/pkgconfig.mk
include $(topdir)/build/languages.mk
include $(topdir)/build/options.mk
include $(topdir)/build/debug.mk
include $(topdir)/build/abi.mk
include $(topdir)/build/coverage.mk
include $(topdir)/build/libintl.mk

ifeq ($(HEADLESS),y)
else
include $(topdir)/build/vfb.mk
include $(topdir)/build/fb.mk
include $(topdir)/build/wayland.mk
include $(topdir)/build/egl.mk
include $(topdir)/build/glx.mk
include $(topdir)/build/opengl.mk
include $(topdir)/build/sdl.mk
include $(topdir)/build/udev.mk
endif

include $(topdir)/build/flags.mk
include $(topdir)/build/charset.mk
include $(topdir)/build/warnings.mk
include $(topdir)/build/compile.mk
include $(topdir)/build/link.mk
include $(topdir)/build/resource.mk
include $(topdir)/build/libdata.mk
include $(topdir)/build/java.mk
include $(topdir)/build/android.mk
include $(topdir)/build/llvm.mk
include $(topdir)/build/tools.mk
include $(topdir)/build/version.mk
include $(topdir)/build/darwin.mk
include $(topdir)/build/ios.mk
include $(topdir)/build/osx.mk
include $(topdir)/build/generate.mk
include $(topdir)/build/doxygen.mk
include $(topdir)/build/manual.mk

include $(topdir)/build/libboost.mk
INCLUDES += $(BOOST_CPPFLAGS)

ifneq ($(MAKECMDGOALS),kobo-libs) # kludge to allow bootstrapping kobo-libs

# Create libraries for zzip, jasper and compatibility stuff
include $(topdir)/build/libresource.mk
include $(topdir)/build/liblook.mk
include $(topdir)/build/libstdcxx.mk
include $(topdir)/build/libutil.mk
include $(topdir)/build/libmath.mk
include $(topdir)/build/libgeo.mk
include $(topdir)/build/libos.mk
include $(topdir)/build/libtime.mk
include $(topdir)/build/libprofile.mk
include $(topdir)/build/libnet.mk
include $(topdir)/build/zlib.mk
include $(topdir)/build/zzip.mk
include $(topdir)/build/jasper.mk
include $(topdir)/build/libport.mk
include $(topdir)/build/driver.mk
include $(topdir)/build/libio.mk
include $(topdir)/build/libasync.mk
include $(topdir)/build/shapelib.mk
include $(topdir)/build/libwaypoint.mk
include $(topdir)/build/libairspace.mk
include $(topdir)/build/libtask.mk
include $(topdir)/build/libroute.mk
include $(topdir)/build/libcontest.mk
include $(topdir)/build/libglide.mk
include $(topdir)/build/datafield.mk
include $(topdir)/build/libevent.mk
include $(topdir)/build/freetype.mk
include $(topdir)/build/libpng.mk
include $(topdir)/build/libjpeg.mk
include $(topdir)/build/coregraphics.mk
include $(topdir)/build/screen.mk
include $(topdir)/build/libthread.mk
include $(topdir)/build/form.mk
include $(topdir)/build/libwidget.mk
include $(topdir)/build/libaudio.mk
include $(topdir)/build/libterrain.mk
include $(topdir)/build/harness.mk

endif

include $(topdir)/build/setup.mk
include $(topdir)/build/launch.mk
include $(topdir)/build/vali.mk
include $(topdir)/build/main.mk
include $(topdir)/build/kobo.mk
include $(topdir)/build/test.mk
include $(topdir)/build/hot.mk

include $(topdir)/build/python.mk

# Load local-config a second time
# to set (override) choices for GXX and friends.
-include $(topdir)/build/local-config.mk

######## output files

include $(topdir)/build/dist.mk
include $(topdir)/build/install.mk

######## compiler flags

INCLUDES += -I$(SRC) -I$(ENGINE_SRC_DIR)

####### sources

include $(topdir)/build/gettext.mk
include $(topdir)/build/cab.mk

OUTPUTS := $(XCSOAR_BIN) $(VALI_XCS_BIN)
OUTPUTS += $(XCSOARSETUP_DLL) $(XCSOARLAUNCH_DLL)

ifeq ($(TARGET),ANDROID)
OUTPUTS += $(ANDROID_BIN)/XCSoar-debug.apk
endif

ifeq ($(TARGET_IS_KOBO),y)
OUTPUTS += $(KOBO_MENU_BIN)
endif

ifeq ($(HAVE_WIN32),y)
OUTPUTS += $(LAUNCH_XCSOAR_BIN)
endif

all: $(OUTPUTS)
everything: $(OUTPUTS) $(OPTIONAL_OUTPUTS) debug build-check build-harness

clean: FORCE
	@$(NQ)echo "cleaning all"
	$(Q)rm -rf build/local-config.mk
	$(Q)rm -rf $(OUT)
	$(RM) $(BUILDTESTS)

.PHONY: FORCE

ifneq ($(wildcard $(ABI_OUTPUT_DIR)/src/*.d),)
include $(wildcard $(ABI_OUTPUT_DIR)/src/*.d)
endif
ifneq ($(wildcard $(ABI_OUTPUT_DIR)/src/*/*.d),)
include $(wildcard $(ABI_OUTPUT_DIR)/src/*/*.d)
endif
ifneq ($(wildcard $(ABI_OUTPUT_DIR)/src/*/*/*.d),)
include $(wildcard $(ABI_OUTPUT_DIR)/src/*/*/*.d)
endif
ifneq ($(wildcard $(ABI_OUTPUT_DIR)/src/*/*/*/*.d),)
include $(wildcard $(ABI_OUTPUT_DIR)/src/*/*/*/*.d)
endif
ifneq ($(wildcard $(ABI_OUTPUT_DIR)/src/*/*/*/*/*.d),)
include $(wildcard $(ABI_OUTPUT_DIR)/src/*/*/*/*/*.d)
endif
ifneq ($(wildcard $(ABI_OUTPUT_DIR)/src/*/*/*/*/*/*.d),)
include $(wildcard $(ABI_OUTPUT_DIR)/src/*/*/*/*/*/*.d)
endif
ifneq ($(wildcard $(ABI_OUTPUT_DIR)/test/src/*.d),)
include $(wildcard $(ABI_OUTPUT_DIR)/test/src/*.d)
endif

=== debian/changelog ===
xcsoar (6.8.8) unstable; urgency=medium

  * new release

 -- Max Kellermann <max@xcsoar.org>  Sat, 09 Sep 2017 12:23:38 +0200

xcsoar (6.8.7) unstable; urgency=medium

  * new release

 -- Max Kellermann <max@xcsoar.org>  Fri, 12 Aug 2016 23:21:49 +0200

xcsoar (6.8.6) unstable; urgency=medium

  * new release

 -- Max Kellermann <max@duempel.org>  Fri, 22 Jul 2016 18:19:13 +0200

xcsoar (6.8.5) unstable; urgency=medium

  * new release

 -- Max Kellermann <max@duempel.org>  Sun, 12 Jun 2016 14:12:56 +0200

xcsoar (6.8.4) unstable; urgency=medium

  * new release

 -- Max Kellermann <max@duempel.org>  Wed, 18 May 2016 10:23:36 +0200

xcsoar (6.8.3) unstable; urgency=medium

  * new release

 -- Max Kellermann <max@duempel.org>  Wed, 09 Mar 2016 14:10:56 +0100

xcsoar (6.8.2) unstable; urgency=medium

  * new release

 -- Max Kellermann <max@duempel.org>  Sat, 19 Sep 2015 21:13:24 +0200

xcsoar (6.8.1) unstable; urgency=medium

  * new release

 -- Max Kellermann <max@duempel.org>  Thu, 27 Aug 2015 20:16:28 +0200

xcsoar (6.8) unstable; urgency=medium

  * new release

 -- Max Kellermann <max@duempel.org>  Tue, 18 Aug 2015 17:18:36 +0200

xcsoar (6.8~beta2) unstable; urgency=medium

  * new release

 -- Max Kellermann <max@duempel.org>  Fri, 07 Aug 2015 17:25:08 +0200

xcsoar (6.8~beta1) unstable; urgency=medium

  * new release

 -- Max Kellermann <max@duempel.org>  Wed, 05 Aug 2015 10:43:10 +0200

xcsoar (6.8~alpha9) unstable; urgency=medium

  * new release

 -- Max Kellermann <max@duempel.org>  Fri, 24 Jul 2015 17:58:20 +0200

xcsoar (6.8~alpha8) unstable; urgency=medium

  * new release

 -- Max Kellermann <max@duempel.org>  Wed, 17 Jun 2015 03:15:16 +0200

xcsoar (6.8~alpha7) unstable; urgency=medium

  * new release

 -- Max Kellermann <max@duempel.org>  Sat, 13 Jun 2015 22:05:24 +0200

xcsoar (6.8~alpha6) unstable; urgency=medium

  * new release

 -- Max Kellermann <max@duempel.org>  Fri, 12 Jun 2015 14:20:53 +0200

xcsoar (6.8~alpha5) unstable; urgency=medium

  * new release

 -- Max Kellermann <max@duempel.org>  Thu, 28 May 2015 20:33:25 +0200

xcsoar (6.8~alpha4) unstable; urgency=medium

  * new release

 -- Max Kellermann <max@duempel.org>  Wed, 20 May 2015 14:32:35 +0200

xcsoar (6.8~alpha3) unstable; urgency=medium

  * new release

 -- Max Kellermann <max@duempel.org>  Sat, 16 May 2015 01:49:13 +0200

xcsoar (6.8~alpha2) unstable; urgency=medium

  * new release

 -- Max Kellermann <max@duempel.org>  Mon, 04 May 2015 17:10:30 +0200

xcsoar (6.8~alpha1) unstable; urgency=medium

  * new release

 -- Max Kellermann <max@duempel.org>  Tue, 14 Apr 2015 11:50:48 +0200

xcsoar (6.7.9) unstable; urgency=medium

  * new release

 -- Max Kellermann <max@duempel.org>  Fri, 03 Jul 2015 00:08:06 +0200

xcsoar (6.7.8) unstable; urgency=medium

  * new release

 -- Max Kellermann <max@duempel.org>  Fri, 22 May 2015 19:55:41 +0200

xcsoar (6.7.7) unstable; urgency=medium

  * new release

 -- Max Kellermann <max@duempel.org>  Fri, 20 Feb 2015 14:15:27 +0100

xcsoar (6.7.6) unstable; urgency=medium

  * new release

 -- Max Kellermann <max@duempel.org>  Sat, 18 Oct 2014 21:56:38 +0200

xcsoar (6.7.5) unstable; urgency=medium

  * new release

 -- Max Kellermann <max@duempel.org>  Mon, 09 Jun 2014 14:14:49 +0200

xcsoar (6.7.4) unstable; urgency=medium

  * new release

 -- Max Kellermann <max@duempel.org>  Fri, 11 Apr 2014 11:12:02 +0200

xcsoar (6.7.3) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Wed, 22 Jan 2014 12:39:55 +0100

xcsoar (6.7.2) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Thu, 19 Dec 2013 01:51:34 +0100

xcsoar (6.7.1) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Fri, 11 Oct 2013 18:30:04 +0200

xcsoar (6.7) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Mon, 30 Sep 2013 13:33:33 +0200

xcsoar (6.7~beta3) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Wed, 25 Sep 2013 22:54:48 +0200

xcsoar (6.7~beta2) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Sat, 21 Sep 2013 13:14:36 +0200

xcsoar (6.7~beta1) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Sat, 14 Sep 2013 14:54:36 +0200

xcsoar (6.7~alpha2) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Sat, 31 Aug 2013 16:03:19 +0200

xcsoar (6.7~alpha1) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Fri, 23 Aug 2013 16:59:28 +0200

xcsoar (6.6.5) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Wed, 21 Aug 2013 08:53:43 +0200

xcsoar (6.6.4) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Thu, 11 Jul 2013 08:35:29 +0200

xcsoar (6.6.3) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Tue, 02 Jul 2013 12:14:08 +0200

xcsoar (6.6.2) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Wed, 12 Jun 2013 01:34:19 +0200

xcsoar (6.6.1) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Wed, 08 May 2013 10:23:37 +0200

xcsoar (6.6) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Tue, 23 Apr 2013 09:22:27 +0200

xcsoar (6.6~beta2) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Fri, 19 Apr 2013 22:30:07 +0200

xcsoar (6.6~beta1) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Sat, 13 Apr 2013 23:51:40 +0200

xcsoar (6.6~alpha2) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Fri, 05 Apr 2013 22:12:25 +0200

xcsoar (6.6~alpha1) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Thu, 21 Mar 2013 08:27:54 +0100

xcsoar (6.5.4) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Wed, 10 Apr 2013 08:51:28 +0200

xcsoar (6.5.3) unstable; urgency=low



=== debian/control ===
Source: xcsoar
Section: misc
Priority: extra
Maintainer: Max Kellermann <max@duempel.org>
Build-Depends: debhelper (>= 9),
 g++ (>= 4:4.6),
 libraspberrypi-dev | libegl1-mesa-dev | libsdl1.2-dev,
 libfreetype6-dev,
 libgl-dev,
 libpng-dev, libjpeg-dev,
 libcurl-dev,
 librsvg2-bin, imagemagick (>= 7:6.4), xsltproc,
 gettext
Build-Depends-Indep:  texlive, texlive-latex-extra,
 texlive-lang-english | texlive-lang-ukenglish,
 texlive-lang-german, texlive-lang-french,
 texlive-lang-polish, texlive-lang-portuguese,
 latex-xcolor, pgf,
 liblocale-po-perl, libio-captureoutput-perl
Standards-Version: 3.9.1.0
Homepage: http://www.xcsoar.org/

Package: xcsoar
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 fonts-dejavu | fonts-roboto | fonts-droid | ttf-dejavu
Suggests: xcsoar-doc, vali-xcs
Description: tactical glide computer
 XCSoar is a tactical glide computer.  It was initially developed for
 Pocket PC (Windows CE).

Package: vali-xcs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: IGC G-record validation for XCSoar
 XCSoar is a tactical glide computer.  It was initially developed for
 Pocket PC (Windows CE).
 .
 This package provides the program "vali-xcs", which validates
 signatures generated by XCSoar.

Package: xcsoar-doc
Architecture: all
Description: XCSoar manual
 XCSoar is a tactical glide computer.  It was initially developed for
 Pocket PC (Windows CE).
 .
 This package contains the manuals.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

OPTIONS =

TARGET = UNIX
OPTIONS += TARGET=$(TARGET)

# allow Debian builds in the same repository as normal builds
TARGET_OUTPUT_DIR = output/DEBIAN-$(TARGET)
OPTIONS += TARGET_OUTPUT_DIR=$(TARGET_OUTPUT_DIR)

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  OPTIONS += DEBUG=y
else
  OPTIONS += DEBUG=n
endif

ifneq (,$(findstring clang,$(DEB_BUILD_OPTIONS)))
  OPTIONS += CLANG=y
endif

build-indep: debian/stamp-build-indep
debian/stamp-build-indep:
	dh_testdir
	$(MAKE) $(OPTIONS) manual
	touch $@

build-arch: debian/stamp-build-arch
debian/stamp-build-arch:
	dh_testdir
	$(MAKE) $(OPTIONS) all mo
	touch $@

build: debian/stamp-build
debian/stamp-build: debian/stamp-build-arch debian/stamp-build-indep

clean:
	dh_testdir
	dh_testroot
	rm -f debian/stamp-*

	rm -rf $(TARGET_OUTPUT_DIR) output/data output/host output/include output/manual output/po output/test

	dh_clean

install-indep: debian/stamp-install-indep
debian/stamp-install-indep: debian/stamp-build-indep
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) $(OPTIONS) install-manual DESTDIR=`pwd`/debian/tmp

	touch $@

install-arch: debian/stamp-install-arch
debian/stamp-install-arch: debian/stamp-build-arch
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) $(OPTIONS) install-bin install-mo DESTDIR=`pwd`/debian/tmp

	touch $@

install: debian/stamp-install
debian/stamp-install: debian/stamp-install-arch debian/stamp-install-indep

# Build architecture-independent files here.
binary-indep: build-indep install-indep
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i
	dh_installchangelogs -i
	dh_install -i --sourcedir=debian/tmp
	dh_link -i
	dh_strip -i
	dh_compress -i -X.pdf
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build-arch install-arch
	dh_testdir -a
	dh_testroot -a
	dh_installdocs -a
	dh_installchangelogs -a
	dh_install -a --sourcedir=debian/tmp
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
